shim-signed: missing versioned dep on sbsigntool (>= 0.6-0ubuntu10.1) package shim-signed 1.33.1~16.04.4+15+1533136590.3beb971-0ubuntu1 failed to install/upgrade: sub-processo script post-installation instalado retornou estado de saída de erro 127

Bug #1818929 reported by Junior Sousa on 2019-03-07
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
shim-signed (Ubuntu)
High
Unassigned
Trusty
High
Unassigned
Xenial
High
Unassigned

Bug Description

[Impact]
Upgrades with shim-signed when only partial upgrades are done.

[Test case]
1) Install new system, with no updates
2) Run 'sudo apt-get update'
3) Run 'sudo apt-get install shim-signed'
4) Verify that sbsigntool is also updated to the new version.

[Regression potential]
Minimal; this simply adds a prerequisite package version for running 'kmodsign' on systems when installing DKMS modules that need to be self-signed. If sbsigntool is already installed and at the right version, or if kmodsign is not required, this makes no difference on the system.

---

Sub-process /usr/bin/dpkg returned an error code (1)

ProblemType: Package
DistroRelease: Ubuntu 16.04
Package: shim-signed 1.33.1~16.04.4+15+1533136590.3beb971-0ubuntu1
ProcVersionSignature: Ubuntu 4.4.0-128.154-generic 4.4.131
Uname: Linux 4.4.0-128-generic x86_64
.proc.sys.kernel.moksbstate_disabled: 1
ApportVersion: 2.20.1-0ubuntu2.18
Architecture: amd64
Date: Wed Mar 6 21:18:20 2019
DistributionChannelDescriptor:
 # This is a distribution channel descriptor
 # For more information see http://wiki.ubuntu.com/DistributionChannelDescriptor
 canonical-oem-somerville-xenial-amd64-20160624-2
EFITables:
 Mar 06 20:22:54 taina-Inspiron-15-3567 kernel: efi: EFI v2.40 by American Megatrends
 Mar 06 20:22:54 taina-Inspiron-15-3567 kernel: efi: ACPI=0xa8603000 ACPI 2.0=0xa8603000 SMBIOS=0xf0000 SMBIOS 3.0=0xf0020 ESRT=0xa92a9018
 Mar 06 20:22:54 taina-Inspiron-15-3567 kernel: esrt: Reserving ESRT space from 0x00000000a92a9018 to 0x00000000a92a9050.
 Mar 06 20:22:54 taina-Inspiron-15-3567 kernel: Secure boot MOKSBState disabled
ErrorMessage: sub-processo script post-installation instalado retornou estado de saída de erro 127
InstallationDate: Installed on 2018-11-22 (104 days ago)
InstallationMedia: Ubuntu 16.04 "Xenial" - Build amd64 LIVE Binary 20160624-10:47
MokSBStateRT: 7 0 0 0 1
RelatedPackageVersions:
 dpkg 1.18.4ubuntu1
 apt 1.2.26
SecureBoot: 6 0 0 0 1
SourcePackage: shim-signed
Title: package shim-signed 1.33.1~16.04.4+15+1533136590.3beb971-0ubuntu1 failed to install/upgrade: sub-processo script post-installation instalado retornou estado de saída de erro 127
UpgradeStatus: No upgrade log present (probably fresh install)

Junior Sousa (jbs45junior) wrote :
Steve Langasek (vorlon) wrote :

shim-signed uses kmodsign from the sbsigntool package. It declares a dependency on sbsigntool, but the dependency is unversioned, and kmodsign was first introduced in xenial in sbsigntool 0.6-0ubuntu10.1.

shim-signed needs a versioned dependency on sbsigntool.

summary: + shim-signed: missing versioned dep on sbsigntool (>= 0.6-0ubuntu10.1)
package shim-signed 1.33.1~16.04.4+15+1533136590.3beb971-0ubuntu1 failed
to install/upgrade: sub-processo script post-installation instalado
retornou estado de saída de erro 127
Changed in shim-signed (Ubuntu):
importance: Undecided → High
status: New → Triaged
tags: added: regression-update
Changed in shim-signed (Ubuntu Trusty):
status: New → Triaged
Changed in shim-signed (Ubuntu Xenial):
status: New → Triaged
Changed in shim-signed (Ubuntu Trusty):
importance: Undecided → High
Changed in shim-signed (Ubuntu Xenial):
importance: Undecided → High
Steve Langasek (vorlon) wrote :

The version number is different for trusty, but the dependency needs to be versioned there as well for the same reason.

tags: added: id-5c806c96858e7f341470c235
description: updated

Hello Junior, or anyone else affected,

Accepted shim-signed into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/shim-signed/1.33.1~16.04.5 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in shim-signed (Ubuntu Xenial):
status: Triaged → Fix Committed
tags: added: verification-needed verification-needed-xenial
Changed in shim-signed (Ubuntu Trusty):
status: Triaged → Fix Committed
tags: added: verification-needed-trusty
Łukasz Zemczak (sil2100) wrote :

Hello Junior, or anyone else affected,

Accepted shim-signed into trusty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/shim-signed/1.33.1~14.04.5 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-trusty to verification-done-trusty. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-trusty. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Verification-done for xenial:

ubuntu@noted-fish:~$ sudo apt install shim-signed
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following additional packages will be installed:
  sbsigntool
The following packages will be upgraded:
  sbsigntool shim-signed
2 upgraded, 0 newly installed, 0 to remove and 16 not upgraded.
Need to get 0 B/398 kB of archives.
After this operation, 16.4 kB of additional disk space will be used.
Do you want to continue? [Y/n]
Preconfiguring packages ...
(Reading database ... 60607 files and directories currently installed.)
Preparing to unpack .../sbsigntool_0.6-0ubuntu10.1_amd64.deb ...
Unpacking sbsigntool (0.6-0ubuntu10.1) over (0.6-0ubuntu10) ...
Preparing to unpack .../shim-signed_1.33.1~16.04.5+15+1533136590.3beb971-0ubuntu1_amd64.deb ...
Unpacking shim-signed (1.33.1~16.04.5+15+1533136590.3beb971-0ubuntu1) over (1.33.1~16.04.4+15+1533136590.3beb971-0ubuntu1) ...
Processing triggers for man-db (2.7.5-1) ...
Setting up sbsigntool (0.6-0ubuntu10.1) ...
Setting up shim-signed (1.33.1~16.04.5+15+1533136590.3beb971-0ubuntu1) ...
Installing for x86_64-efi platform.
Installation finished. No error reported.
ubuntu@noted-fish:~$ lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu 16.04.6 LTS
Release: 16.04
Codename: xenial

Verification-done trusty:

ubuntu@profound-donkey:~$ lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu 14.04.6 LTS
Release: 14.04
Codename: trusty
ubuntu@profound-donkey:~$ sudo apt install shim-signed
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following package was automatically installed and is no longer required:
  grub-pc-bin
Use 'apt-get autoremove' to remove it.
The following extra packages will be installed:
  sbsigntool
The following packages will be upgraded:
  sbsigntool shim-signed
2 upgraded, 0 newly installed, 0 to remove and 6 not upgraded.
Need to get 0 B/372 kB of archives.
After this operation, 16.4 kB of additional disk space will be used.
Do you want to continue? [Y/n]
Preconfiguring packages ...
(Reading database ... 56999 files and directories currently installed.)
Preparing to unpack .../sbsigntool_0.6-0ubuntu7.2_amd64.deb ...
Unpacking sbsigntool (0.6-0ubuntu7.2) over (0.6-0ubuntu7) ...
Preparing to unpack .../shim-signed_1.33.1~14.04.5+13-0ubuntu2_amd64.deb ...
Unpacking shim-signed (1.33.1~14.04.5+13-0ubuntu2) over (1.33.1~14.04.4+13-0ubuntu2) ...
Processing triggers for man-db (2.6.7.1-1ubuntu1) ...
Setting up sbsigntool (0.6-0ubuntu7.2) ...
Setting up shim-signed (1.33.1~14.04.5+13-0ubuntu2) ...
Installing for x86_64-efi platform.
Installation finished. No error reported.
ubuntu@profound-donkey:~$

tags: added: verification-done-trusty verification-done-xenial
removed: verification-needed verification-needed-trusty verification-needed-xenial
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package shim-signed - 1.33.1~16.04.5

---------------
shim-signed (1.33.1~16.04.5) xenial; urgency=medium

  * debian/control: make the sbsigntool dependency versioned to ensure updates
    include getting the new sbsigntool so DKMS modules can be correctly signed.
    (LP: #1818929)

 -- Mathieu Trudel-Lapierre <email address hidden> Mon, 01 Apr 2019 12:15:21 -0400

Changed in shim-signed (Ubuntu Xenial):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for shim-signed has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package shim-signed - 1.33.1~14.04.5

---------------
shim-signed (1.33.1~14.04.5) trusty; urgency=medium

  * debian/control: make the sbsigntool dependency versioned to ensure updates
    include getting the new sbsigntool so DKMS modules can be correctly signed.
    (LP: #1818929)

 -- Mathieu Trudel-Lapierre <email address hidden> Mon, 01 Apr 2019 12:20:03 -0400

Changed in shim-signed (Ubuntu Trusty):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers